image:
    name: ubuntu:latest

stages:
  - terraform-test

variables:
  GIT_SUBMODULE_STRATEGY: recursive
before_script:
  - cat /etc/os-release
  - echo "Building Commit = $CI_COMMIT_SHA"
  - apt-get update
  - apt install -y make
  - export DEBIAN_FRONTEND=noninteractive
  - make ubuntu/bootstrap
  - make awscli/configure AWS_ACCESS_KEY_ID="$AWS_ACCESS_KEY_ID" AWS_SECRET_ACCESS_KEY="$AWS_SECRET_ACCESS_KEY" AWS_REGION="$AWS_REGION" AWS_OUTPUT_FORMAT="$AWS_OUTPUT_FORMAT"
  
include:
  - local: .gitlab/ci/*.gitlab-ci.yml
  - remote: 'https://gitlab.com/cprime/devops-library/devops-library-cicd-harness/-/raw/master/terraform/terraform-test.gitlab-ci.yml'